Jack2 1.9.12

Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
Jack::JackMessageBuffer Class Reference

Message buffer to be used from RT threads. More...

`#include <JackMessageBuffer.h>`

Inheritance diagram for Jack::JackMessageBuffer:

## Public Member Functions
bool | Execute ()
void | AddMessage (int level, const char *message)
int | SetInitCallback (JackThreadInitCallback callback, void *arg)
Public Member Functions inherited from Jack::JackRunnableInterface
virtual bool | Init ()

## Static Public Member Functions
static bool | Create ()
static bool | Destroy ()

## Static Public Attributes
static JackMessageBuffer * | fInstance = NULL

## Detailed Description

Message buffer to be used from RT threads.

Definition at line 55 of file JackMessageBuffer.h.

The documentation for this class was generated from the following files:

- JackMessageBuffer.h
- JackMessageBuffer.cpp